import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取全部数组
mock.onGet('./assets/json/data-dictionary.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, [
        {
        srfkey: 'EMTRIGGERDP',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '=',
                label: '等于',
                text: '等于',
                value: '=',
                
                disabled: false,
            },
            {
                id: '>=',
                label: '大于等于',
                text: '大于等于',
                value: '>=',
                
                disabled: false,
            },
            {
                id: '<=',
                label: '小于等于',
                text: '小于等于',
                value: '<=',
                
                disabled: false,
            },
            {
                id: '>',
                label: '大于',
                text: '大于',
                value: '>',
                
                disabled: false,
            },
            {
                id: '<',
                label: '小于',
                text: '小于',
                value: '<',
                
                disabled: false,
            },
            {
                id: '>>',
                label: '递增',
                text: '递增',
                value: '>>',
                
                disabled: false,
            },
            {
                id: '<<',
                label: '递减',
                text: '递减',
                value: '<<',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMEQLOCATIONTYPE',
        emptytext: '',
        "codelisttype":"static",
        items: [
            {
                id: 'SSE',
                label: '系统',
                text: '系统',
                "color": "rgba(68, 255, 0, 1)",
                value: 'SSE',
                
                disabled: false,
            },
            {
                id: 'PCS',
                label: '部件',
                text: '部件',
                "color": "rgba(0, 255, 238, 1)",
                value: 'PCS',
                
                disabled: false,
            },
            {
                id: 'SPA',
                label: '零配件',
                text: '零配件',
                "color": "rgba(187, 0, 255, 1)",
                value: 'SPA',
                
                disabled: false,
            },
            {
                id: 'PST',
                label: '物理位置',
                text: '物理位置',
                "color": "rgba(0, 13, 255, 1)",
                value: 'PST',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'PFCL_ORG',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'TOP',
                label: '上海港',
                text: '上海港',
                "color": "rgba(49, 27, 146, 1)",
                value: 'TOP',
                
                disabled: false,
            },
            {
                id: 'TIP',
                label: '宁波港',
                text: '宁波港',
                "color": "rgba(209, 196, 233, 1)",
                value: 'TIP',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMPODETAILSTATE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '0',
                label: '未到货',
                text: '未到货',
                "color": "rgba(209, 196, 233, 1)",
                value: 0,
                
                disabled: false,
            },
            {
                id: '10',
                label: '验收中',
                text: '验收中',
                "color": "rgba(103, 58, 183, 1)",
                value: 10,
                
                disabled: false,
            },
            {
                id: '20',
                label: '已关闭',
                text: '已关闭',
                "color": "rgba(49, 27, 146, 1)",
                value: 20,
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMEQUIPGROUP',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '生产设备',
                text: '生产设备',
                value: 1,
                
                disabled: false,
            },
            {
                id: '2',
                label: '特种设备',
                text: '特种设备',
                value: 2,
                
                disabled: false,
            },
            {
                id: '4',
                label: '计量设备',
                text: '计量设备',
                value: 4,
                
                disabled: false,
            },
            {
                id: '8',
                label: '供电设备',
                text: '供电设备',
                value: 8,
                
                disabled: false,
            },
            {
                id: '16',
                label: '车辆',
                text: '车辆',
                value: 16,
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'B9E40120688D402CA77C4065DE891DDC',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'J0',
                label: '0',
                text: '0',
                value: 'J0',
                
                disabled: false,
            },
            {
                id: 'J8',
                label: '0.13',
                text: '0.13',
                value: 'J8',
                
                disabled: false,
            },
            {
                id: 'J2',
                label: '0.03',
                text: '0.03',
                value: 'J2',
                
                disabled: false,
            },
            {
                id: 'J4',
                label: '0.06',
                text: '0.06',
                value: 'J4',
                
                disabled: false,
            },
            {
                id: 'JA',
                label: '0.17',
                text: '0.17',
                value: 'JA',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMABCTYPE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'A',
                label: 'A',
                text: 'A',
                value: 'A',
                
                disabled: false,
            },
            {
                id: 'B',
                label: 'B',
                text: 'B',
                value: 'B',
                
                disabled: false,
            },
            {
                id: 'C',
                label: 'C',
                text: 'C',
                value: 'C',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMAPPLYSTATE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '0',
                label: '未提交',
                text: '未提交',
                value: 0,
                
                disabled: false,
            },
            {
                id: '10',
                label: '流程中',
                text: '流程中',
                value: 10,
                
                disabled: false,
            },
            {
                id: '20',
                label: '已完成',
                text: '已完成',
                value: 20,
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMSERVICEGROUP',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '服务供应商',
                text: '服务供应商',
                "color": "rgba(68, 255, 0, 1)",
                value: 1,
                
                disabled: false,
            },
            {
                id: '2',
                label: '产品供应商',
                text: '产品供应商',
                "color": "rgba(0, 255, 229, 1)",
                value: 2,
                
                disabled: false,
            },
            {
                id: '4',
                label: '制造商',
                text: '制造商',
                "color": "rgba(0, 47, 255, 1)",
                value: 4,
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMTEAMTYPEID',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '',
                label: '代码项',
                text: '代码项',
                value: '',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMSERVICELEVEL',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '1级',
                text: '1级',
                "color": "rgba(49, 27, 146, 1)",
                value: '1',
                
                disabled: false,
            },
            {
                id: '2',
                label: '2级',
                text: '2级',
                "color": "rgba(81, 45, 168, 1)",
                value: '2',
                
                disabled: false,
            },
            {
                id: '3',
                label: '3级',
                text: '3级',
                "color": "rgba(103, 58, 183, 1)",
                value: '3',
                
                disabled: false,
            },
            {
                id: '4',
                label: '4级',
                text: '4级',
                "color": "rgba(149, 117, 205, 1)",
                value: '4',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMINOUTFLAG',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '0',
                label: '出',
                text: '出',
                "color": "rgba(146, 231, 18, 1)",
                value: 0,
                
                disabled: false,
            },
            {
                id: '1',
                label: '入',
                text: '入',
                "color": "rgba(0, 238, 255, 1)",
                value: 1,
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMPAYWAY',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '现金',
                text: '现金',
                "color": "rgba(102, 255, 0, 1)",
                value: '1',
                
                disabled: false,
            },
            {
                id: '2',
                label: '转帐',
                text: '转帐',
                "color": "rgba(0, 255, 149, 1)",
                value: '2',
                
                disabled: false,
            },
            {
                id: '3',
                label: '银联',
                text: '银联',
                "color": "rgba(0, 123, 255, 1)",
                value: '3',
                
                disabled: false,
            },
            {
                id: '4',
                label: '汇票',
                text: '汇票',
                "color": "rgba(21, 0, 255, 1)",
                value: '4',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMITEMGROUP',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '物资',
                text: '物资',
                value: 1,
                
                disabled: false,
            },
            {
                id: '2',
                label: '工量具',
                text: '工量具',
                value: 2,
                
                disabled: false,
            },
            {
                id: '4',
                label: '轮胎',
                text: '轮胎',
                value: 4,
                
                disabled: false,
            },
            {
                id: '8',
                label: '电瓶',
                text: '电瓶',
                value: 8,
                
                disabled: false,
            },
            {
                id: '16',
                label: '工索具',
                text: '工索具',
                value: 16,
                
                disabled: false,
            },
            {
                id: '32',
                label: '钢丝绳',
                text: '钢丝绳',
                value: 32,
                
                disabled: false,
            },
            {
                id: '64',
                label: '探头',
                text: '探头',
                value: 64,
                
                disabled: false,
            },
            {
                id: '128',
                label: '对讲机',
                text: '对讲机',
                value: 128,
                
                disabled: false,
            },
            {
                id: '256',
                label: '润滑油',
                text: '润滑油',
                value: 256,
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMSERVICETYPE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '定点供货商',
                text: '定点供货商',
                value: '1',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMGSSXM',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'QS',
                label: '起升钢丝绳',
                text: '起升钢丝绳',
                value: 'QS',
                
                disabled: false,
            },
            {
                id: 'FY',
                label: '俯仰钢丝绳',
                text: '俯仰钢丝绳',
                value: 'FY',
                
                disabled: false,
            },
            {
                id: 'XC',
                label: '小车钢丝绳',
                text: '小车钢丝绳',
                value: 'XC',
                
                disabled: false,
            },
            {
                id: 'TJ',
                label: '小车托架钢丝绳',
                text: '小车托架钢丝绳',
                value: 'TJ',
                
                disabled: false,
            },
            {
                id: 'FANGYAO',
                label: '防摇钢丝绳',
                text: '防摇钢丝绳',
                value: 'FANGYAO',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'CADAB38AEA0249DDA40C36287E0E187D',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '0.17',
                label: '17%',
                text: '17%',
                value: '0.17',
                
                disabled: false,
            },
            {
                id: '0.03',
                label: '3%',
                text: '3%',
                value: '0.03',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'CODELIST_PLANTYPE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '计划内',
                text: '计划内',
                value: '1',
                
                disabled: false,
            },
            {
                id: '2',
                label: '计划外',
                text: '计划外',
                value: '2',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMEMPSEX',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'B',
                label: '男',
                text: '男',
                value: 'B',
                
                disabled: false,
            },
            {
                id: 'G',
                label: '女',
                text: '女',
                value: 'G',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMASSETTYPE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'GLYJ',
                label: '管理用具',
                text: '管理用具',
                "color": "rgba(49, 27, 146, 1)",
                value: 'GLYJ',
                
                disabled: false,
            },
            {
                id: 'TXSB',
                label: '通讯设备',
                text: '通讯设备',
                "color": "rgba(81, 45, 168, 1)",
                value: 'TXSB',
                
                disabled: false,
            },
            {
                id: 'DLSB',
                label: '动力设备',
                text: '动力设备',
                "color": "rgba(149, 117, 205, 1)",
                value: 'DLSB',
                
                disabled: false,
            },
            {
                id: 'JQSB',
                label: '机器设备',
                text: '机器设备',
                "color": "rgba(149, 117, 205, 1)",
                value: 'JQSB',
                
                disabled: false,
            },
            {
                id: 'ZXJX',
                label: '装卸机械',
                text: '装卸机械',
                "color": "rgba(204, 255, 0, 1)",
                value: 'ZXJX',
                
                disabled: false,
            },
            {
                id: 'GDSB',
                label: '供电设备',
                text: '供电设备',
                "color": "rgba(0, 255, 64, 1)",
                value: 'GDSB',
                
                disabled: false,
            },
            {
                id: 'CL',
                label: '车辆',
                text: '车辆',
                "color": "rgba(0, 149, 255, 1)",
                value: 'CL',
                
                disabled: false,
            },
            {
                id: 'DT',
                label: '灯塔',
                text: '灯塔',
                "color": "rgba(0, 47, 255, 1)",
                value: 'DT',
                
                disabled: false,
            },
            {
                id: '',
                label: '代码项',
                text: '代码项',
                value: '',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'CODELIST_RANGE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '100',
                label: '本市',
                text: '本市',
                value: '100',
                
                disabled: false,
            },
            {
                id: '80',
                label: '省内',
                text: '省内',
                value: '80',
                
                disabled: false,
            },
            {
                id: '60',
                label: '省外',
                text: '省外',
                value: '60',
                
                disabled: false,
            },
            {
                id: '50',
                label: '国外',
                text: '国外',
                value: '50',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'PFCL_TAXTYPE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '1',
                text: '1',
                value: '1',
                
                disabled: false,
            },
        ]
    },
    {
        "srfkey": "SysOperator",
        "emptytext": "未定义",
        "codelisttype":"dynamic",
        "appdataentity":"",
        "appdedataset":"",
        "items": []
    },
    {
        srfkey: 'EMWPLISTSTATE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '0',
                label: '未提交',
                text: '未提交',
                value: 0,
                
                disabled: false,
            },
            {
                id: '10',
                label: '采购过程中',
                text: '采购过程中',
                value: 10,
                
                disabled: false,
            },
            {
                id: '20',
                label: '已生成订单',
                text: '已生成订单',
                value: 20,
                
                disabled: false,
            },
            {
                id: '30',
                label: '已入库',
                text: '已入库',
                value: 30,
                
                disabled: false,
            },
            {
                id: '40',
                label: '已取消',
                text: '已取消',
                value: 40,
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMPUSESTATE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '0',
                label: '未提交',
                text: '未提交',
                value: 0,
                
                disabled: false,
            },
            {
                id: '10',
                label: '流程中',
                text: '流程中',
                "color": "rgba(213, 0, 255, 1)",
                value: 10,
                
                disabled: false,
            },
            {
                id: '20',
                label: '已发料',
                text: '已发料',
                "color": "rgba(0, 204, 255, 1)",
                value: 20,
                
                disabled: false,
            },
            {
                id: '30',
                label: '已还料',
                text: '已还料',
                "color": "rgba(0, 13, 255, 1)",
                value: 30,
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMASSETSTATE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '购入',
                text: '购入',
                "color": "rgba(49, 27, 146, 1)",
                value: '1',
                
                disabled: false,
            },
            {
                id: '2',
                label: '调入',
                text: '调入',
                "color": "rgba(81, 45, 168, 1)",
                value: '2',
                
                disabled: false,
            },
            {
                id: '-1',
                label: '报废',
                text: '报废',
                "color": "rgba(103, 58, 183, 1)",
                value: '-1',
                
                disabled: false,
            },
            {
                id: '10',
                label: '转让',
                text: '转让',
                "color": "rgba(149, 117, 205, 1)",
                value: '10',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMWOORITYPE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'PLAN',
                label: '计划',
                text: '计划',
                value: 'PLAN',
                
                disabled: false,
            },
            {
                id: 'PLANDETAIL',
                label: '计划步骤',
                text: '计划步骤',
                value: 'PLANDETAIL',
                
                disabled: false,
            },
            {
                id: 'APPLY',
                label: '申请汇报',
                text: '申请汇报',
                value: 'APPLY',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'YesNo',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '是',
                text: '是',
                value: 1,
                
                disabled: false,
            },
            {
                id: '0',
                label: '否',
                text: '否',
                value: 0,
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMUSETO',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'EQUIP',
                label: '单机消耗',
                text: '单机消耗',
                value: 'EQUIP',
                
                disabled: false,
            },
            {
                id: 'EQTYPE',
                label: '机型均摊',
                text: '机型均摊',
                value: 'EQTYPE',
                
                disabled: false,
            },
            {
                id: 'EQLOCATION',
                label: '位置均摊',
                text: '位置均摊',
                value: 'EQLOCATION',
                
                disabled: false,
            },
            {
                id: 'WO',
                label: '手工摊销(供电中心专用)',
                text: '手工摊销(供电中心专用)',
                value: 'WO',
                
                disabled: false,
            },
            {
                id: 'MS',
                label: '多机/设备消耗',
                text: '多机/设备消耗',
                value: 'MS',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMATTPRICE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '正常',
                text: '正常',
                "color": "rgba(0, 38, 255, 1)",
                value: 1,
                
                disabled: false,
            },
            {
                id: '2',
                label: '异常',
                text: '异常',
                "color": "rgba(237, 19, 19, 1)",
                value: 2,
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMRINSTATE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '0',
                label: '未提交',
                text: '未提交',
                "color": "rgba(209, 196, 233, 1)",
                value: 0,
                
                disabled: false,
            },
            {
                id: '10',
                label: '流程中',
                text: '流程中',
                "color": "rgba(0, 255, 13, 1)",
                value: 10,
                
                disabled: false,
            },
            {
                id: '20',
                label: '已入库',
                text: '已入库',
                "color": "rgba(0, 98, 255, 1)",
                value: 20,
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMSERVICEEVLREGION',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '2009.Q4',
                label: '2009.Q4',
                text: '2009.Q4',
                value: '2009.Q4',
                
                disabled: false,
            },
            {
                id: '2010.Q1',
                label: '2010.Q1',
                text: '2010.Q1',
                value: '2010.Q1',
                
                disabled: false,
            },
            {
                id: '2010.Q2',
                label: '2010.Q2',
                text: '2010.Q2',
                value: '2010.Q2',
                
                disabled: false,
            },
            {
                id: '2010.Q3',
                label: '2010.Q3',
                text: '2010.Q3',
                value: '2010.Q3',
                
                disabled: false,
            },
            {
                id: '2010.Q4',
                label: '2010.Q4',
                text: '2010.Q4',
                value: '2010.Q4',
                
                disabled: false,
            },
            {
                id: '2011.Q1',
                label: '2011.Q1',
                text: '2011.Q1',
                value: '2011.Q1',
                
                disabled: false,
            },
            {
                id: '2011.Q2',
                label: '2011.Q2',
                text: '2011.Q2',
                value: '2011.Q2',
                
                disabled: false,
            },
            {
                id: '2011.Q3',
                label: '2011.Q3',
                text: '2011.Q3',
                value: '2011.Q3',
                
                disabled: false,
            },
            {
                id: '2011.Q4',
                label: '2011.Q4',
                text: '2011.Q4',
                value: '2011.Q4',
                
                disabled: false,
            },
            {
                id: '2012.Q1',
                label: '2012.Q1',
                text: '2012.Q1',
                value: '2012.Q1',
                
                disabled: false,
            },
            {
                id: '2012.Q2',
                label: '2012.Q2',
                text: '2012.Q2',
                value: '2012.Q2',
                
                disabled: false,
            },
            {
                id: '2012.Q3',
                label: '2012.Q3',
                text: '2012.Q3',
                value: '2012.Q3',
                
                disabled: false,
            },
            {
                id: '2012.Q4',
                label: '2012.Q4',
                text: '2012.Q4',
                value: '2012.Q4',
                
                disabled: false,
            },
            {
                id: '2013.Q1',
                label: '2013.Q1',
                text: '2013.Q1',
                value: '2013.Q1',
                
                disabled: false,
            },
            {
                id: '2013.Q2',
                label: '2013.Q2',
                text: '2013.Q2',
                value: '2013.Q2',
                
                disabled: false,
            },
            {
                id: '2013.Q3',
                label: '2013.Q3',
                text: '2013.Q3',
                value: '2013.Q3',
                
                disabled: false,
            },
            {
                id: '2013.Q4',
                label: '2013.Q4',
                text: '2013.Q4',
                value: '2013.Q4',
                
                disabled: false,
            },
            {
                id: '2014.Q1',
                label: '2014.Q1',
                text: '2014.Q1',
                value: '2014.Q1',
                
                disabled: false,
            },
            {
                id: '2014.Q2',
                label: '2014.Q2',
                text: '2014.Q2',
                value: '2014.Q2',
                
                disabled: false,
            },
            {
                id: '2014.Q3',
                label: '2014.Q3',
                text: '2014.Q3',
                value: '2014.Q3',
                
                disabled: false,
            },
            {
                id: '2014.Q4',
                label: '2014.Q4',
                text: '2014.Q4',
                value: '2014.Q4',
                
                disabled: false,
            },
            {
                id: '2015.Q1',
                label: '2015.Q1',
                text: '2015.Q1',
                value: '2015.Q1',
                
                disabled: false,
            },
            {
                id: '2015.Q2',
                label: '2015.Q2',
                text: '2015.Q2',
                value: '2015.Q2',
                
                disabled: false,
            },
            {
                id: '2015.Q3',
                label: '2015.Q3',
                text: '2015.Q3',
                value: '2015.Q3',
                
                disabled: false,
            },
            {
                id: '2015.Q4',
                label: '2015.Q4',
                text: '2015.Q4',
                value: '2015.Q4',
                
                disabled: false,
            },
            {
                id: '2016.Q1',
                label: '2016.Q1',
                text: '2016.Q1',
                value: '2016.Q1',
                
                disabled: false,
            },
            {
                id: '2016.Q2',
                label: '2016.Q2',
                text: '2016.Q2',
                value: '2016.Q2',
                
                disabled: false,
            },
            {
                id: '2016.Q3',
                label: '2016.Q3',
                text: '2016.Q3',
                value: '2016.Q3',
                
                disabled: false,
            },
            {
                id: '2016.Q4',
                label: '2016.Q4',
                text: '2016.Q4',
                value: '2016.Q4',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMWOTYPE1',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'KEEP',
                label: '保养工单',
                text: '保养工单',
                value: 'KEEP',
                
                disabled: false,
            },
            {
                id: 'KEEP1',
                label: '.  一级保养',
                text: '.  一级保养',
                value: 'KEEP1',
                
                disabled: false,
            },
            {
                id: 'KEEP2',
                label: '.  润滑检查',
                text: '.  润滑检查',
                value: 'KEEP2',
                
                disabled: false,
            },
            {
                id: 'KEEP3',
                label: '.  卫生维护',
                text: '.  卫生维护',
                value: 'KEEP3',
                
                disabled: false,
            },
            {
                id: 'ERROR',
                label: '故障工单',
                text: '故障工单',
                value: 'ERROR',
                
                disabled: false,
            },
            {
                id: 'ERROR1',
                label: '事故工单',
                text: '事故工单',
                value: 'ERROR1',
                
                disabled: false,
            },
            {
                id: 'CHECK',
                label: '检修工单',
                text: '检修工单',
                value: 'CHECK',
                
                disabled: false,
            },
            {
                id: 'CHECKM',
                label: '月度检修',
                text: '月度检修',
                value: 'CHECKM',
                
                disabled: false,
            },
            {
                id: 'CHECKY',
                label: '年度检修',
                text: '年度检修',
                value: 'CHECKY',
                
                disabled: false,
            },
            {
                id: 'INSTALL',
                label: '轮胎安装工单',
                text: '轮胎安装工单',
                value: 'INSTALL',
                
                disabled: false,
            },
            {
                id: 'REPLACE',
                label: '钢丝绳更换工单',
                text: '钢丝绳更换工单',
                value: 'REPLACE',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMARCHIVE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'MAINTANCE',
                label: '抢修记录',
                text: '抢修记录',
                value: 'MAINTANCE',
                
                disabled: false,
            },
            {
                id: 'KEEP',
                label: '保养记录',
                text: '保养记录',
                value: 'KEEP',
                
                disabled: false,
            },
            {
                id: 'CHECK',
                label: '维修记录',
                text: '维修记录',
                value: 'CHECK',
                
                disabled: false,
            },
            {
                id: 'DEBUG',
                label: '事故记录',
                text: '事故记录',
                value: 'DEBUG',
                
                disabled: false,
            },
            {
                id: 'SETUP',
                label: '安装更换',
                text: '安装更换',
                value: 'SETUP',
                
                disabled: false,
            },
            {
                id: 'EQWL',
                label: '运行日志',
                text: '运行日志',
                value: 'EQWL',
                
                disabled: false,
            },
            {
                id: 'EQKPRCT',
                label: '关键点记录',
                text: '关键点记录',
                value: 'EQKPRCT',
                
                disabled: false,
            },
            {
                id: 'EQMPMTR',
                label: '仪表读数',
                text: '仪表读数',
                value: 'EQMPMTR',
                
                disabled: false,
            },
            {
                id: 'ENCONSUM',
                label: '能耗记录',
                text: '能耗记录',
                value: 'ENCONSUM',
                
                disabled: false,
            },
            {
                id: 'OUTPUTRCT',
                label: '产能',
                text: '产能',
                value: 'OUTPUTRCT',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMDPVALTYPE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'NEW',
                label: '最新值',
                text: '最新值',
                value: 'NEW',
                
                disabled: false,
            },
            {
                id: 'SUM',
                label: '汇总值',
                text: '汇总值',
                value: 'SUM',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMEMPRODUCTSTATE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '0',
                label: '未提交',
                text: '未提交',
                value: '0',
                
                disabled: false,
            },
            {
                id: '10',
                label: '流程中',
                text: '流程中',
                value: '10',
                
                disabled: false,
            },
            {
                id: '20',
                label: '已关闭',
                text: '已关闭',
                value: '20',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMWOWFSTEP',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '10',
                label: '待审核',
                text: '待审核',
                value: '10',
                
                disabled: false,
            },
            {
                id: '20',
                label: '正在执行',
                text: '正在执行',
                value: '20',
                
                disabled: false,
            },
            {
                id: '30',
                label: '已完成',
                text: '已完成',
                value: '30',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMPOWFSTEP',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '10',
                label: '待采购部经理审核',
                text: '待采购部经理审核',
                value: '10',
                
                disabled: false,
            },
            {
                id: '25',
                label: '待采购部分管副总审核',
                text: '待采购部分管副总审核',
                value: '25',
                
                disabled: false,
            },
            {
                id: '28',
                label: '待总经理审核',
                text: '待总经理审核',
                value: '28',
                
                disabled: false,
            },
            {
                id: '30',
                label: '审核不通过',
                text: '审核不通过',
                value: '30',
                
                disabled: false,
            },
            {
                id: '40',
                label: '等待下单',
                text: '等待下单',
                value: '40',
                
                disabled: false,
            },
            {
                id: '50',
                label: '在途',
                text: '在途',
                value: '50',
                
                disabled: false,
            },
            {
                id: '60',
                label: '到货验收中',
                text: '到货验收中',
                value: '60',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMCONTRACTOBJGROUP',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'GYS',
                label: '供应商',
                text: '供应商',
                value: 'GYS',
                
                disabled: false,
            },
            {
                id: 'ZZS',
                label: '制造商',
                text: '制造商',
                value: 'ZZS',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMAPPRSTATE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'YSH',
                label: '已审核',
                text: '已审核',
                value: 'YSH',
                
                disabled: false,
            },
            {
                id: 'WSH',
                label: '未审核',
                text: '未审核',
                value: 'WSH',
                
                disabled: false,
            },
            {
                id: 'SHWTG',
                label: '审核未通过',
                text: '审核未通过',
                value: 'SHWTG',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMEQTYPEGROUP',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '桥龙',
                text: '桥龙',
                "color": "rgba(49, 27, 146, 1)",
                value: '1',
                
                disabled: false,
            },
            {
                id: '2',
                label: '流机',
                text: '流机',
                "color": "rgba(81, 45, 168, 1)",
                value: '2',
                
                disabled: false,
            },
            {
                id: '3',
                label: '吊具',
                text: '吊具',
                "color": "rgba(103, 58, 183, 1)",
                value: '3',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMASSETCLASSGROUP',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '1',
                text: '1',
                value: '1',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMWOGROUP',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'PLAN',
                label: '周期/条件(PM/PPM)',
                text: '周期/条件(PM/PPM)',
                value: 'PLAN',
                
                disabled: false,
            },
            {
                id: 'APPLY',
                label: '申请工单',
                text: '申请工单',
                value: 'APPLY',
                
                disabled: false,
            },
            {
                id: 'TASK',
                label: '任务计划工单',
                text: '任务计划工单',
                value: 'TASK',
                
                disabled: false,
            },
            {
                id: 'URG',
                label: '紧急工单',
                text: '紧急工单',
                value: 'URG',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMPLANSTATE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '正常',
                text: '正常',
                "color": "rgba(0, 64, 255, 1)",
                value: 1,
                
                disabled: false,
            },
            {
                id: '2',
                label: '暂停',
                text: '暂停',
                "color": "rgba(255, 0, 0, 0.94)",
                value: 2,
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMSERVICEEVLSTATE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '0',
                label: '未提交',
                text: '未提交',
                "color": "rgba(255, 234, 0, 1)",
                value: '0',
                
                disabled: false,
            },
            {
                id: '10',
                label: '流程中',
                text: '流程中',
                "color": "rgba(102, 255, 0, 1)",
                value: '10',
                
                disabled: false,
            },
            {
                id: '20',
                label: '已完成',
                text: '已完成',
                "color": "rgba(0, 47, 255, 1)",
                value: '20',
                
                disabled: false,
            },
            {
                id: '30',
                label: '过期',
                text: '过期',
                "color": "rgba(232, 13, 13, 1)",
                value: '30',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMTRADESTATE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '0',
                label: '未提交',
                text: '未提交',
                value: '0',
                
                disabled: false,
            },
            {
                id: '10',
                label: '流程中',
                text: '流程中',
                value: '10',
                
                disabled: false,
            },
            {
                id: '20',
                label: '已确认',
                text: '已确认',
                value: '20',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMOBJTYPE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'EQTYPE',
                label: '设备类型',
                text: '设备类型',
                value: 'EQTYPE',
                
                disabled: false,
            },
            {
                id: 'EQLOCATION',
                label: '位置',
                text: '位置',
                value: 'EQLOCATION',
                
                disabled: false,
            },
            {
                id: 'EQUIP',
                label: '设备',
                text: '设备',
                value: 'EQUIP',
                
                disabled: false,
            },
            {
                id: 'ITEMTYPE',
                label: '物品类型',
                text: '物品类型',
                value: 'ITEMTYPE',
                
                disabled: false,
            },
            {
                id: 'ITEM',
                label: '物品',
                text: '物品',
                value: 'ITEM',
                
                disabled: false,
            },
            {
                id: 'RFODETYPE',
                label: '现象类型',
                text: '现象类型',
                value: 'RFODETYPE',
                
                disabled: false,
            },
            {
                id: 'SPARE',
                label: '备件包',
                text: '备件包',
                value: 'SPARE',
                
                disabled: false,
            },
            {
                id: 'RFODE',
                label: '现象',
                text: '现象',
                value: 'RFODE',
                
                disabled: false,
            },
            {
                id: 'DRWG',
                label: '文档',
                text: '文档',
                value: 'DRWG',
                
                disabled: false,
            },
            {
                id: 'EQMP',
                label: '仪表',
                text: '仪表',
                value: 'EQMP',
                
                disabled: false,
            },
            {
                id: 'EQKP',
                label: '关键点',
                text: '关键点',
                value: 'EQKP',
                
                disabled: false,
            },
            {
                id: 'EN',
                label: '能源',
                text: '能源',
                value: 'EN',
                
                disabled: false,
            },
            {
                id: 'OUTPUT',
                label: '能力',
                text: '能力',
                value: 'OUTPUT',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMDRWGTYPE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'D-1',
                label: '桥吊',
                text: '桥吊',
                value: 'D-1',
                
                disabled: false,
            },
            {
                id: 'D-11',
                label: '操作手册',
                text: '操作手册',
                value: 'D-11',
                "pvalue": "D-1",
                disabled: false,
            },
            {
                id: 'D-12',
                label: '主要电气线路图',
                text: '主要电气线路图',
                value: 'D-12',
                "pvalue": "D-1",
                disabled: false,
            },
            {
                id: 'D-15',
                label: '技术手册（电气）',
                text: '技术手册（电气）',
                value: 'D-15',
                "pvalue": "D-1",
                disabled: false,
            },
            {
                id: 'D-16',
                label: '技术手册（机械）',
                text: '技术手册（机械）',
                value: 'D-16',
                "pvalue": "D-1",
                disabled: false,
            },
            {
                id: 'D-17',
                label: '配件手册（电气）',
                text: '配件手册（电气）',
                value: 'D-17',
                "pvalue": "D-1",
                disabled: false,
            },
            {
                id: 'D-18',
                label: '配件手册（机械）',
                text: '配件手册（机械）',
                value: 'D-18',
                "pvalue": "D-1",
                disabled: false,
            },
            {
                id: 'D-19',
                label: '其他',
                text: '其他',
                value: 'D-19',
                "pvalue": "D-1",
                disabled: false,
            },
            {
                id: 'D-2',
                label: '龙门吊',
                text: '龙门吊',
                value: 'D-2',
                
                disabled: false,
            },
            {
                id: 'D-21',
                label: '操作手册',
                text: '操作手册',
                value: 'D-21',
                "pvalue": "D-2",
                disabled: false,
            },
            {
                id: 'D-22',
                label: '主要电气线路图',
                text: '主要电气线路图',
                value: 'D-22',
                "pvalue": "D-2",
                disabled: false,
            },
            {
                id: 'D-25',
                label: '技术手册（电气）',
                text: '技术手册（电气）',
                value: 'D-25',
                "pvalue": "D-2",
                disabled: false,
            },
            {
                id: 'D-26',
                label: '技术手册（机械）',
                text: '技术手册（机械）',
                value: 'D-26',
                "pvalue": "D-2",
                disabled: false,
            },
            {
                id: 'D-27',
                label: '配件手册（电气）',
                text: '配件手册（电气）',
                value: 'D-27',
                "pvalue": "D-2",
                disabled: false,
            },
            {
                id: 'D-28',
                label: '配件手册（机械）',
                text: '配件手册（机械）',
                value: 'D-28',
                "pvalue": "D-2",
                disabled: false,
            },
            {
                id: 'D-29',
                label: '其他',
                text: '其他',
                value: 'D-29',
                "pvalue": "D-2",
                disabled: false,
            },
            {
                id: 'D-3',
                label: '流机',
                text: '流机',
                value: 'D-3',
                
                disabled: false,
            },
            {
                id: 'D-31',
                label: '操作手册',
                text: '操作手册',
                value: 'D-31',
                "pvalue": "D-3",
                disabled: false,
            },
            {
                id: 'D-32',
                label: '主要电气线路图',
                text: '主要电气线路图',
                value: 'D-32',
                "pvalue": "D-3",
                disabled: false,
            },
            {
                id: 'D-35',
                label: '技术手册（电气）',
                text: '技术手册（电气）',
                value: 'D-35',
                "pvalue": "D-3",
                disabled: false,
            },
            {
                id: 'D-36',
                label: '技术手册（机械）',
                text: '技术手册（机械）',
                value: 'D-36',
                "pvalue": "D-3",
                disabled: false,
            },
            {
                id: 'D-37',
                label: '配件手册（电气）',
                text: '配件手册（电气）',
                value: 'D-37',
                "pvalue": "D-3",
                disabled: false,
            },
            {
                id: 'D-38',
                label: '配件手册（机械）',
                text: '配件手册（机械）',
                value: 'D-38',
                "pvalue": "D-3",
                disabled: false,
            },
            {
                id: 'D-39',
                label: '其他',
                text: '其他',
                value: 'D-39',
                "pvalue": "D-3",
                disabled: false,
            },
            {
                id: 'D-4',
                label: '设备标准化管理',
                text: '设备标准化管理',
                value: 'D-4',
                
                disabled: false,
            },
            {
                id: 'D-41',
                label: '组织机构',
                text: '组织机构',
                value: 'D-41',
                "pvalue": "D-4",
                disabled: false,
            },
            {
                id: 'D-411',
                label: '机构设置',
                text: '机构设置',
                value: 'D-411',
                "pvalue": "D-41",
                disabled: false,
            },
            {
                id: 'D-412',
                label: '管理人员配备',
                text: '管理人员配备',
                value: 'D-412',
                "pvalue": "D-41",
                disabled: false,
            },
            {
                id: 'D-42',
                label: '规章制度',
                text: '规章制度',
                value: 'D-42',
                "pvalue": "D-4",
                disabled: false,
            },
            {
                id: 'D-421',
                label: '设备管理制度建设',
                text: '设备管理制度建设',
                value: 'D-421',
                "pvalue": "D-42",
                disabled: false,
            },
            {
                id: 'D-422',
                label: '操作规程',
                text: '操作规程',
                value: 'D-422',
                "pvalue": "D-42",
                disabled: false,
            },
            {
                id: 'D-43',
                label: '安全生产责任制落实',
                text: '安全生产责任制落实',
                value: 'D-43',
                "pvalue": "D-4",
                disabled: false,
            },
            {
                id: 'D-431',
                label: '部门安全生产责任制',
                text: '部门安全生产责任制',
                value: 'D-431',
                "pvalue": "D-43",
                disabled: false,
            },
            {
                id: 'D-432',
                label: '岗位安全责任制',
                text: '岗位安全责任制',
                value: 'D-432',
                "pvalue": "D-43",
                disabled: false,
            },
            {
                id: 'D-44',
                label: '设备管理',
                text: '设备管理',
                value: 'D-44',
                "pvalue": "D-4",
                disabled: false,
            },
            {
                id: 'D-441',
                label: '使用登记',
                text: '使用登记',
                value: 'D-441',
                "pvalue": "D-44",
                disabled: false,
            },
            {
                id: 'D-442',
                label: '检验检测',
                text: '检验检测',
                value: 'D-442',
                "pvalue": "D-44",
                disabled: false,
            },
            {
                id: 'D-443',
                label: '安全附件',
                text: '安全附件',
                value: 'D-443',
                "pvalue": "D-44",
                disabled: false,
            },
            {
                id: 'D-444',
                label: '维护保养',
                text: '维护保养',
                value: 'D-444',
                "pvalue": "D-44",
                disabled: false,
            },
            {
                id: 'D-445',
                label: '停用报废',
                text: '停用报废',
                value: 'D-445',
                "pvalue": "D-44",
                disabled: false,
            },
            {
                id: 'D-446',
                label: '档案管理',
                text: '档案管理',
                value: 'D-446',
                "pvalue": "D-44",
                disabled: false,
            },
            {
                id: 'D-447',
                label: '运行记录',
                text: '运行记录',
                value: 'D-447',
                "pvalue": "D-44",
                disabled: false,
            },
            {
                id: 'D-448',
                label: '分包管理',
                text: '分包管理',
                value: 'D-448',
                "pvalue": "D-44",
                disabled: false,
            },
            {
                id: 'D-45',
                label: '人员管理',
                text: '人员管理',
                value: 'D-45',
                "pvalue": "D-4",
                disabled: false,
            },
            {
                id: 'D-451',
                label: '资格管理',
                text: '资格管理',
                value: 'D-451',
                "pvalue": "D-45",
                disabled: false,
            },
            {
                id: 'D-452',
                label: '教育培训',
                text: '教育培训',
                value: 'D-452',
                "pvalue": "D-45",
                disabled: false,
            },
            {
                id: 'D-453',
                label: '上岗作业',
                text: '上岗作业',
                value: 'D-453',
                "pvalue": "D-45",
                disabled: false,
            },
            {
                id: 'D-46',
                label: '日常检查',
                text: '日常检查',
                value: 'D-46',
                "pvalue": "D-4",
                disabled: false,
            },
            {
                id: 'D-461',
                label: '安全巡查',
                text: '安全巡查',
                value: 'D-461',
                "pvalue": "D-46",
                disabled: false,
            },
            {
                id: 'D-47',
                label: '事故隐患',
                text: '事故隐患',
                value: 'D-47',
                "pvalue": "D-4",
                disabled: false,
            },
            {
                id: 'D-471',
                label: '隐患整改',
                text: '隐患整改',
                value: 'D-471',
                "pvalue": "D-47",
                disabled: false,
            },
            {
                id: 'D-48',
                label: '事故应急处理',
                text: '事故应急处理',
                value: 'D-48',
                "pvalue": "D-4",
                disabled: false,
            },
            {
                id: 'D-481',
                label: '应急救援预案建立',
                text: '应急救援预案建立',
                value: 'D-481',
                "pvalue": "D-48",
                disabled: false,
            },
            {
                id: 'D-482',
                label: '应急救援预案演练',
                text: '应急救援预案演练',
                value: 'D-482',
                "pvalue": "D-48",
                disabled: false,
            },
            {
                id: 'D-483',
                label: '突发事故应对',
                text: '突发事故应对',
                value: 'D-483',
                "pvalue": "D-48",
                disabled: false,
            },
            {
                id: 'D-49',
                label: '表格',
                text: '表格',
                value: 'D-49',
                "pvalue": "D-4",
                disabled: false,
            },
            {
                id: 'D-491',
                label: '特种设备表格',
                text: '特种设备表格',
                value: 'D-491',
                "pvalue": "D-49",
                disabled: false,
            },
            {
                id: 'D-4A',
                label: '科技进步',
                text: '科技进步',
                value: 'D-4A',
                "pvalue": "D-4",
                disabled: false,
            },
            {
                id: 'D-4A1',
                label: '科技进步',
                text: '科技进步',
                value: 'D-4A1',
                "pvalue": "D-4A",
                disabled: false,
            },
            {
                id: 'D-4A2',
                label: '科技进步奖',
                text: '科技进步奖',
                value: 'D-4A2',
                "pvalue": "D-4A",
                disabled: false,
            },
            {
                id: 'D-4A21',
                label: '技术部',
                text: '技术部',
                value: 'D-4A21',
                "pvalue": "D-4A2",
                disabled: false,
            },
            {
                id: 'D-4A22',
                label: '事务部',
                text: '事务部',
                value: 'D-4A22',
                "pvalue": "D-4A2",
                disabled: false,
            },
            {
                id: 'D-4A23',
                label: '维修中心',
                text: '维修中心',
                value: 'D-4A23',
                "pvalue": "D-4A2",
                disabled: false,
            },
            {
                id: 'D-4B',
                label: '文明设备评比',
                text: '文明设备评比',
                value: 'D-4B',
                "pvalue": "D-4",
                disabled: false,
            },
            {
                id: 'D-4B1',
                label: '文明设备评比',
                text: '文明设备评比',
                value: 'D-4B1',
                "pvalue": "D-4B",
                disabled: false,
            },
            {
                id: 'D-4C',
                label: '标准操作法',
                text: '标准操作法',
                value: 'D-4C',
                "pvalue": "D-4",
                disabled: false,
            },
            {
                id: 'D-4C1',
                label: '标准操作法手册',
                text: '标准操作法手册',
                value: 'D-4C1',
                "pvalue": "D-4C",
                disabled: false,
            },
            {
                id: 'D-5',
                label: '技术部工作报告',
                text: '技术部工作报告',
                value: 'D-5',
                
                disabled: false,
            },
            {
                id: 'D-51',
                label: '技术部月度工作总结',
                text: '技术部月度工作总结',
                value: 'D-51',
                "pvalue": "D-5",
                disabled: false,
            },
            {
                id: 'D-52',
                label: '季度经济分析',
                text: '季度经济分析',
                value: 'D-52',
                "pvalue": "D-5",
                disabled: false,
            },
            {
                id: 'D-53',
                label: '维修中心月度工作报告',
                text: '维修中心月度工作报告',
                value: 'D-53',
                "pvalue": "D-5",
                disabled: false,
            },
            {
                id: 'D-55',
                label: '维修中心月度采购计划',
                text: '维修中心月度采购计划',
                value: 'D-55',
                "pvalue": "D-5",
                disabled: false,
            },
            {
                id: 'D-54',
                label: '能源分析',
                text: '能源分析',
                value: 'D-54',
                "pvalue": "D-5",
                disabled: false,
            },
            {
                id: 'D-6',
                label: '发票归档',
                text: '发票归档',
                value: 'D-6',
                
                disabled: false,
            },
            {
                id: 'D-9',
                label: '其他文档',
                text: '其他文档',
                value: 'D-9',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMPERFORMSTATE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'WLX',
                label: '未履行',
                text: '未履行',
                value: 'WLX',
                
                disabled: false,
            },
            {
                id: 'LXZ',
                label: '履行中',
                text: '履行中',
                value: 'LXZ',
                
                disabled: false,
            },
            {
                id: 'LXJS',
                label: '履行结束',
                text: '履行结束',
                value: 'LXJS',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'CODELIST',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '小车外委',
                text: '小车外委',
                value: '1',
                
                disabled: false,
            },
            {
                id: '2',
                label: '零配件加工',
                text: '零配件加工',
                value: '2',
                
                disabled: false,
            },
            {
                id: '3',
                label: '设备保养检测',
                text: '设备保养检测',
                value: '3',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMSERVICESTATE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '0',
                label: '未提交',
                text: '未提交',
                "color": "rgba(255, 217, 0, 1)",
                value: '0',
                
                disabled: false,
            },
            {
                id: '5',
                label: '审核中',
                text: '审核中',
                "color": "rgba(255, 140, 0, 1)",
                value: '5',
                
                disabled: false,
            },
            {
                id: '20',
                label: '审核通过',
                text: '审核通过',
                "color": "rgba(0, 221, 255, 1)",
                value: '20',
                
                disabled: false,
            },
            {
                id: '25',
                label: '审核未通过',
                text: '审核未通过',
                "color": "rgba(239, 12, 12, 1)",
                value: '25',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMENERGYTYPEID',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'E',
                label: '电',
                text: '电',
                "color": "rgba(139, 234, 166, 0.42)",
                value: 'E',
                
                disabled: false,
            },
            {
                id: 'W',
                label: '水',
                text: '水',
                "color": "rgba(21, 255, 0, 1)",
                value: 'W',
                
                disabled: false,
            },
            {
                id: 'H',
                label: '燃料',
                text: '燃料',
                "color": "rgba(0, 115, 255, 1)",
                value: 'H',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMPUSETYPE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '故障修理',
                text: '故障修理',
                value: '1',
                
                disabled: false,
            },
            {
                id: '2',
                label: '计划修理',
                text: '计划修理',
                value: '2',
                
                disabled: false,
            },
            {
                id: '3',
                label: '日常检修',
                text: '日常检修',
                value: '3',
                
                disabled: false,
            },
            {
                id: '4',
                label: '保养',
                text: '保养',
                value: '4',
                
                disabled: false,
            },
            {
                id: '5',
                label: '其它',
                text: '其它',
                value: '5',
                
                disabled: false,
            },
            {
                id: '6',
                label: '非设备修理费',
                text: '非设备修理费',
                value: '6',
                
                disabled: false,
            },
            {
                id: '7',
                label: '销售',
                text: '销售',
                value: '7',
                
                disabled: false,
            },
            {
                id: '8',
                label: '外委',
                text: '外委',
                value: '8',
                
                disabled: false,
            },
            {
                id: '99',
                label: '专项修理费',
                text: '专项修理费',
                value: '99',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMISNEW_001',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '新',
                text: '新',
                value: '1',
                
                disabled: false,
            },
            {
                id: '0',
                label: '旧',
                text: '旧',
                value: '0',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMSTORETYPE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '1',
                text: '1',
                value: '1',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMTIRESSTATE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '正常',
                text: '正常',
                value: '1',
                
                disabled: false,
            },
            {
                id: 'QQ',
                label: '缺气',
                text: '缺气',
                value: 'QQ',
                
                disabled: false,
            },
            {
                id: 'QZSH',
                label: '气嘴损坏',
                text: '气嘴损坏',
                value: 'QZSH',
                
                disabled: false,
            },
            {
                id: 'MFQH',
                label: '密封圈坏',
                text: '密封圈坏',
                value: 'MFQH',
                
                disabled: false,
            },
            {
                id: 'HP',
                label: '划破',
                text: '划破',
                value: 'HP',
                
                disabled: false,
            },
            {
                id: 'CP',
                label: '戳破',
                text: '戳破',
                value: 'CP',
                
                disabled: false,
            },
            {
                id: 'GJTL',
                label: '挂胶脱落',
                text: '挂胶脱落',
                value: 'GJTL',
                
                disabled: false,
            },
            {
                id: 'MSDJX',
                label: '磨损到极限',
                text: '磨损到极限',
                value: 'MSDJX',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMDRWGSTATE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '正常可用',
                text: '正常可用',
                "color": "rgba(0, 187, 255, 1)",
                value: '1',
                
                disabled: false,
            },
            {
                id: '-1',
                label: '过期',
                text: '过期',
                "color": "rgba(241, 9, 9, 1)",
                value: '-1',
                
                disabled: false,
            },
            {
                id: '0',
                label: '借出',
                text: '借出',
                "color": "rgba(255, 157, 0, 1)",
                value: '0',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMPLANTYPE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'CHECK',
                label: '检修计划',
                text: '检修计划',
                "color": "rgba(49, 27, 146, 1)",
                value: 'CHECK',
                
                disabled: false,
            },
            {
                id: 'KEEP',
                label: '保养计划',
                text: '保养计划',
                "color": "rgba(81, 45, 168, 1)",
                value: 'KEEP',
                
                disabled: false,
            },
            {
                id: 'KEEP1',
                label: '.  一级保养',
                text: '.  一级保养',
                "color": "rgba(103, 58, 183, 1)",
                value: 'KEEP1',
                
                disabled: false,
            },
            {
                id: 'KEEP2',
                label: '.  润滑检查',
                text: '.  润滑检查',
                "color": "rgba(103, 58, 183, 1)",
                value: 'KEEP2',
                
                disabled: false,
            },
            {
                id: 'KEEP3',
                label: '.  卫生维护',
                text: '.  卫生维护',
                "color": "rgba(103, 58, 183, 1)",
                value: 'KEEP3',
                
                disabled: false,
            },
            {
                id: 'EN',
                label: '能耗登记计划',
                text: '能耗登记计划',
                "color": "rgba(149, 117, 205, 1)",
                value: 'EN',
                
                disabled: false,
            },
            {
                id: 'DP',
                label: '点检计划',
                text: '点检计划',
                "color": "rgba(209, 196, 233, 1)",
                value: 'DP',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMWPLISTTYPE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'LAPPLY',
                label: '零星采购',
                text: '零星采购',
                value: 'LAPPLY',
                
                disabled: false,
            },
            {
                id: 'MAPPLY',
                label: '月度采购',
                text: '月度采购',
                value: 'MAPPLY',
                
                disabled: false,
            },
            {
                id: 'APPLY',
                label: '采购申请',
                text: '采购申请',
                value: 'APPLY',
                
                disabled: false,
            },
            {
                id: 'STOCKP',
                label: '库存规则自动',
                text: '库存规则自动',
                value: 'STOCKP',
                
                disabled: false,
            },
            {
                id: 'NEW',
                label: '试用品采纳',
                text: '试用品采纳',
                value: 'NEW',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMEQUIPSTATE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '正常运行',
                text: '正常运行',
                "color": "rgba(0, 98, 255, 1)",
                value: '1',
                
                disabled: false,
            },
            {
                id: 'YJQX',
                label: '应急抢修',
                text: '应急抢修',
                value: 'YJQX',
                
                disabled: false,
            },
            {
                id: 'GZTY',
                label: '停用',
                text: '停用',
                "color": "rgba(234, 22, 22, 1)",
                value: 'GZTY',
                
                disabled: false,
            },
            {
                id: 'JHWX',
                label: '计划维修',
                text: '计划维修',
                value: 'JHWX',
                
                disabled: false,
            },
            {
                id: 'BYRH',
                label: '保养润滑',
                text: '保养润滑',
                value: 'BYRH',
                
                disabled: false,
            },
            {
                id: 'CZYH',
                label: '存在隐患',
                text: '存在隐患',
                value: 'CZYH',
                
                disabled: false,
            },
            {
                id: 'FC',
                label: '封存',
                text: '封存',
                value: 'FC',
                
                disabled: false,
            },
            {
                id: 'CZ',
                label: '出租',
                text: '出租',
                value: 'CZ',
                
                disabled: false,
            },
            {
                id: 'WB',
                label: '外派作业',
                text: '外派作业',
                value: 'WB',
                
                disabled: false,
            },
            {
                id: 'BF',
                label: '报废',
                text: '报废',
                "color": "rgba(215, 19, 19, 1)",
                value: 'BF',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMPOSTATE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '0',
                label: '未提交',
                text: '未提交',
                "color": "rgba(209, 196, 233, 1)",
                value: 0,
                
                disabled: false,
            },
            {
                id: '10',
                label: '流程中',
                text: '流程中',
                "color": "rgba(149, 117, 205, 1)",
                value: 10,
                
                disabled: false,
            },
            {
                id: '20',
                label: '已关闭',
                text: '已关闭',
                "color": "rgba(81, 45, 168, 1)",
                value: 20,
                
                disabled: false,
            },
            {
                id: '30',
                label: '已取消',
                text: '已取消',
                "color": "rgba(49, 27, 146, 1)",
                value: 30,
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMITEMRINWPSTEP',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '15',
                label: '待打印',
                text: '待打印',
                value: '15',
                
                disabled: false,
            },
            {
                id: '10',
                label: '待入库',
                text: '待入库',
                value: '10',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMSDEPT',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '综合管理部',
                text: '综合管理部',
                value: '1',
                
                disabled: false,
            },
            {
                id: '2',
                label: '财务部',
                text: '财务部',
                value: '2',
                
                disabled: false,
            },
            {
                id: '3',
                label: '电脑部',
                text: '电脑部',
                value: '3',
                
                disabled: false,
            },
            {
                id: '4',
                label: '市场部',
                text: '市场部',
                value: '4',
                
                disabled: false,
            },
            {
                id: '5',
                label: 'CSF',
                text: 'CSF',
                value: '5',
                
                disabled: false,
            },
            {
                id: '6',
                label: '工程建设部',
                text: '工程建设部',
                value: '6',
                
                disabled: false,
            },
            {
                id: '7',
                label: '党群工作部',
                text: '党群工作部',
                value: '7',
                
                disabled: false,
            },
            {
                id: '8',
                label: '运行中心',
                text: '运行中心',
                value: '8',
                
                disabled: false,
            },
            {
                id: '9',
                label: '维修中心',
                text: '维修中心',
                value: '9',
                
                disabled: false,
            },
            {
                id: '10',
                label: '供电所',
                text: '供电所',
                value: '10',
                
                disabled: false,
            },
            {
                id: '11',
                label: '操作部',
                text: '操作部',
                value: '11',
                
                disabled: false,
            },
            {
                id: '12',
                label: '安监部',
                text: '安监部',
                value: '12',
                
                disabled: false,
            },
            {
                id: '13',
                label: '技术部',
                text: '技术部',
                value: '13',
                
                disabled: false,
            },
            {
                id: '14',
                label: '闸口',
                text: '闸口',
                value: '14',
                
                disabled: false,
            },
            {
                id: '15',
                label: '工具库',
                text: '工具库',
                value: '15',
                
                disabled: false,
            },
            {
                id: '16',
                label: '商务部',
                text: '商务部',
                value: '16',
                
                disabled: false,
            },
            {
                id: '17',
                label: '采购部',
                text: '采购部',
                value: '17',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMITEMPUSEWFSTEP',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '5',
                label: '工量具管理员审核',
                text: '工量具管理员审核',
                value: '5',
                
                disabled: false,
            },
            {
                id: '20',
                label: '待部门经理审核',
                text: '待部门经理审核',
                value: '20',
                
                disabled: false,
            },
            {
                id: '25',
                label: '待部门分管副总审核',
                text: '待部门分管副总审核',
                value: '25',
                
                disabled: false,
            },
            {
                id: '30',
                label: '审核不通过',
                text: '审核不通过',
                value: '30',
                
                disabled: false,
            },
            {
                id: '35',
                label: '待综管部经理审核',
                text: '待综管部经理审核',
                value: '35',
                
                disabled: false,
            },
            {
                id: '40',
                label: '待发料',
                text: '待发料',
                value: '40',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'FEBEC2B8438144B19B682C0A4CB6EA17',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '205',
                label: '设备维修领用',
                text: '设备维修领用',
                value: '205',
                
                disabled: false,
            },
            {
                id: '206',
                label: '设施维修领用',
                text: '设施维修领用',
                value: '206',
                
                disabled: false,
            },
            {
                id: '204',
                label: '其他维修领用',
                text: '其他维修领用',
                value: '204',
                
                disabled: false,
            },
            {
                id: '202',
                label: '劳保领用',
                text: '劳保领用',
                value: '202',
                
                disabled: false,
            },
            {
                id: '207',
                label: '一般物料领用',
                text: '一般物料领用',
                value: '207',
                
                disabled: false,
            },
            {
                id: '201',
                label: '安全生产领用',
                text: '安全生产领用',
                value: '201',
                
                disabled: false,
            },
            {
                id: '203',
                label: '联检领用',
                text: '联检领用',
                value: '203',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMRHYTYPE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'JY',
                label: '机油',
                text: '机油',
                "color": "rgba(49, 27, 146, 1)",
                value: 'JY',
                
                disabled: false,
            },
            {
                id: 'CLY',
                label: '齿轮油',
                text: '齿轮油',
                "color": "rgba(81, 45, 168, 1)",
                value: 'CLY',
                
                disabled: false,
            },
            {
                id: 'YYY',
                label: '液压油',
                text: '液压油',
                "color": "rgba(103, 58, 183, 1)",
                value: 'YYY',
                
                disabled: false,
            },
            {
                id: 'JLCDY',
                label: '液力传动油',
                text: '液力传动油',
                "color": "rgba(149, 117, 205, 1)",
                value: 'JLCDY',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'WFStates',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '0',
                label: '未启动',
                text: '未启动',
                value: '0',
                
                disabled: false,
            },
            {
                id: '1',
                label: '流程中',
                text: '流程中',
                value: '1',
                
                disabled: false,
            },
            {
                id: '2',
                label: '已完成',
                text: '已完成',
                value: '2',
                
                disabled: false,
            },
            {
                id: '3',
                label: '已取消',
                text: '已取消',
                value: '3',
                
                disabled: false,
            },
            {
                id: '31',
                label: '已取消(人工)',
                text: '已取消(人工)',
                value: '31',
                
                disabled: false,
            },
            {
                id: '32',
                label: '已取消(超时)',
                text: '已取消(超时)',
                value: '32',
                
                disabled: false,
            },
            {
                id: '4',
                label: '处理故障',
                text: '处理故障',
                value: '4',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMTIRESNEWOLD',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '新',
                text: '新',
                value: '1',
                
                disabled: false,
            },
            {
                id: '2',
                label: '挂',
                text: '挂',
                value: '2',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMPRIORITY',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '低',
                text: '低',
                value: '1',
                
                disabled: false,
            },
            {
                id: '2',
                label: '中',
                text: '中',
                value: '2',
                
                disabled: false,
            },
            {
                id: '3',
                label: '高',
                text: '高',
                value: '3',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'Sap_cbzx01',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '23D8010601',
                label: '宁波港-党群部',
                text: '宁波港-党群部',
                value: '23D8010601',
                
                disabled: false,
            },
            {
                id: '23D8010401',
                label: '宁波港-商务部',
                text: '宁波港-商务部',
                value: '23D8010401',
                
                disabled: false,
            },
            {
                id: '23D8020301',
                label: '宁波港-安监部',
                text: '宁波港-安监部',
                value: '23D8020301',
                
                disabled: false,
            },
            {
                id: '23D8010501',
                label: '宁波港-市场部',
                text: '宁波港-市场部',
                value: '23D8010501',
                
                disabled: false,
            },
            {
                id: '23D8010101',
                label: '宁波港-管理层',
                text: '宁波港-管理层',
                value: '23D8010101',
                
                disabled: false,
            },
            {
                id: '23D8010201',
                label: '宁波港-综合管理部',
                text: '宁波港-综合管理部',
                value: '23D8010201',
                
                disabled: false,
            },
            {
                id: '23D8010301',
                label: '宁波港-计划财务部',
                text: '宁波港-计划财务部',
                value: '23D8010301',
                
                disabled: false,
            },
            {
                id: '23D8010701',
                label: '宁波港-采购部',
                text: '宁波港-采购部',
                value: '23D8010701',
                
                disabled: false,
            },
            {
                id: '23D8020101',
                label: '宁波港-技术管理部',
                text: '宁波港-技术管理部',
                value: '23D8020101',
                
                disabled: false,
            },
            {
                id: '23D8020201',
                label: '宁波港-操作部',
                text: '宁波港-操作部',
                value: '23D8020201',
                
                disabled: false,
            },
            {
                id: '23D8110999',
                label: '宁波港-公共管理类-集装箱接收分',
                text: '宁波港-公共管理类-集装箱接收分',
                value: '23D8110999',
                
                disabled: false,
            },
            {
                id: '23D8120101',
                label: '宁波港-集装箱-技术管理部',
                text: '宁波港-集装箱-技术管理部',
                value: '23D8120101',
                
                disabled: false,
            },
            {
                id: '23D8120201',
                label: '宁波港-集装箱-操作部',
                text: '宁波港-集装箱-操作部',
                value: '23D8120201',
                
                disabled: false,
            },
            {
                id: '23D8120301',
                label: '宁波港-集装箱-安监部',
                text: '宁波港-集装箱-安监部',
                value: '23D8120301',
                
                disabled: false,
            },
            {
                id: '23D8130101',
                label: '宁波港-集装箱-1号桥吊',
                text: '宁波港-集装箱-1号桥吊',
                value: '23D8130101',
                
                disabled: false,
            },
            {
                id: '23D8130104',
                label: '宁波港-集装箱-4号桥吊',
                text: '宁波港-集装箱-4号桥吊',
                value: '23D8130104',
                
                disabled: false,
            },
            {
                id: '23D8130105',
                label: '宁波港-集装箱-5号桥吊',
                text: '宁波港-集装箱-5号桥吊',
                value: '23D8130105',
                
                disabled: false,
            },
            {
                id: '23D8130106',
                label: '宁波港-集装箱-6号桥吊',
                text: '宁波港-集装箱-6号桥吊',
                value: '23D8130106',
                
                disabled: false,
            },
            {
                id: '23D8130107',
                label: '宁波港-集装箱-7号桥吊',
                text: '宁波港-集装箱-7号桥吊',
                value: '23D8130107',
                
                disabled: false,
            },
            {
                id: '23D8130108',
                label: '宁波港-集装箱-8号桥吊',
                text: '宁波港-集装箱-8号桥吊',
                value: '23D8130108',
                
                disabled: false,
            },
            {
                id: '23D8130109',
                label: '宁波港-集装箱-9号桥吊',
                text: '宁波港-集装箱-9号桥吊',
                value: '23D8130109',
                
                disabled: false,
            },
            {
                id: '23D8130110',
                label: '宁波港-集装箱-10号桥吊',
                text: '宁波港-集装箱-10号桥吊',
                value: '23D8130110',
                
                disabled: false,
            },
            {
                id: '23D8130111',
                label: '宁波港-集装箱-11号桥吊',
                text: '宁波港-集装箱-11号桥吊',
                value: '23D8130111',
                
                disabled: false,
            },
            {
                id: '23D8130112',
                label: '宁波港-集装箱-12号桥吊',
                text: '宁波港-集装箱-12号桥吊',
                value: '23D8130112',
                
                disabled: false,
            },
            {
                id: '23D8130115',
                label: '宁波港-集装箱-15号桥吊',
                text: '宁波港-集装箱-15号桥吊',
                value: '23D8130115',
                
                disabled: false,
            },
            {
                id: '23D8130116',
                label: '宁波港-集装箱-16号桥吊',
                text: '宁波港-集装箱-16号桥吊',
                value: '23D8130116',
                
                disabled: false,
            },
            {
                id: '23D8130117',
                label: '宁波港-集装箱-17号桥吊',
                text: '宁波港-集装箱-17号桥吊',
                value: '23D8130117',
                
                disabled: false,
            },
            {
                id: '23D8130206',
                label: '宁波港-集装箱-6号YGD-JP',
                text: '宁波港-集装箱-6号YGD-JP',
                value: '23D8130206',
                
                disabled: false,
            },
            {
                id: '23D8130207',
                label: '宁波港-集装箱-7号YGD-JP',
                text: '宁波港-集装箱-7号YGD-JP',
                value: '23D8130207',
                
                disabled: false,
            },
            {
                id: '23D8130208',
                label: '宁波港-集装箱-8号YGD-JP',
                text: '宁波港-集装箱-8号YGD-JP',
                value: '23D8130208',
                
                disabled: false,
            },
            {
                id: '23D8130209',
                label: '宁波港-集装箱-9号YGD-JP',
                text: '宁波港-集装箱-9号YGD-JP',
                value: '23D8130209',
                
                disabled: false,
            },
            {
                id: '23D8130210',
                label: '宁波港-集装箱-10号YGD-J',
                text: '宁波港-集装箱-10号YGD-J',
                value: '23D8130210',
                
                disabled: false,
            },
            {
                id: '23D8130211',
                label: '宁波港-集装箱-11号CYJ',
                text: '宁波港-集装箱-11号CYJ',
                value: '23D8130211',
                
                disabled: false,
            },
            {
                id: '23D8130212',
                label: '宁波港-集装箱-12号YGD-J',
                text: '宁波港-集装箱-12号YGD-J',
                value: '23D8130212',
                
                disabled: false,
            },
            {
                id: '23D8130213',
                label: '宁波港-集装箱-13号YGD-H',
                text: '宁波港-集装箱-13号YGD-H',
                value: '23D8130213',
                
                disabled: false,
            },
            {
                id: '23D8130214',
                label: '宁波港-集装箱-14号YGD-H',
                text: '宁波港-集装箱-14号YGD-H',
                value: '23D8130214',
                
                disabled: false,
            },
            {
                id: '23D8130215',
                label: '宁波港-集装箱-15号YGD-J',
                text: '宁波港-集装箱-15号YGD-J',
                value: '23D8130215',
                
                disabled: false,
            },
            {
                id: '23D8130216',
                label: '宁波港-集装箱-16号CYJ',
                text: '宁波港-集装箱-16号CYJ',
                value: '23D8130216',
                
                disabled: false,
            },
            {
                id: '23D8130217',
                label: '宁波港-集装箱-17号YGD-H',
                text: '宁波港-集装箱-17号YGD-H',
                value: '23D8130217',
                
                disabled: false,
            },
            {
                id: '23D8130218',
                label: '宁波港-集装箱-18号YGD-H',
                text: '宁波港-集装箱-18号YGD-H',
                value: '23D8130218',
                
                disabled: false,
            },
            {
                id: '23D8130219',
                label: '宁波港-集装箱-19号YGD-J',
                text: '宁波港-集装箱-19号YGD-J',
                value: '23D8130219',
                
                disabled: false,
            },
            {
                id: '23D8130220',
                label: '宁波港-集装箱-20号YGD-J',
                text: '宁波港-集装箱-20号YGD-J',
                value: '23D8130220',
                
                disabled: false,
            },
            {
                id: '23D8130221',
                label: '宁波港-集装箱-21号CYJ',
                text: '宁波港-集装箱-21号CYJ',
                value: '23D8130221',
                
                disabled: false,
            },
            {
                id: '23D8130222',
                label: '宁波港-集装箱-22号YGD-H',
                text: '宁波港-集装箱-22号YGD-H',
                value: '23D8130222',
                
                disabled: false,
            },
            {
                id: '23D8130223',
                label: '宁波港-集装箱-23号YGD-H',
                text: '宁波港-集装箱-23号YGD-H',
                value: '23D8130223',
                
                disabled: false,
            },
            {
                id: '23D8130224',
                label: '宁波港-集装箱-24号YGD-H',
                text: '宁波港-集装箱-24号YGD-H',
                value: '23D8130224',
                
                disabled: false,
            },
            {
                id: '23D8130225',
                label: '宁波港-集装箱-25号YGD-H',
                text: '宁波港-集装箱-25号YGD-H',
                value: '23D8130225',
                
                disabled: false,
            },
            {
                id: '23D8130226',
                label: '宁波港-集装箱-26号CYJ',
                text: '宁波港-集装箱-26号CYJ',
                value: '23D8130226',
                
                disabled: false,
            },
            {
                id: '23D8130227',
                label: '宁波港-集装箱-27号YGD-J',
                text: '宁波港-集装箱-27号YGD-J',
                value: '23D8130227',
                
                disabled: false,
            },
            {
                id: '23D8130228',
                label: '宁波港-集装箱-28号YGD-H',
                text: '宁波港-集装箱-28号YGD-H',
                value: '23D8130228',
                
                disabled: false,
            },
            {
                id: '23D8130229',
                label: '宁波港-集装箱-29号YGD-H',
                text: '宁波港-集装箱-29号YGD-H',
                value: '23D8130229',
                
                disabled: false,
            },
            {
                id: '23D8130999',
                label: '宁波港-集装箱-其他机械设备',
                text: '宁波港-集装箱-其他机械设备',
                value: '23D8130999',
                
                disabled: false,
            },
            {
                id: '23D8210999',
                label: '宁波港-公共管理类-散杂货接收分',
                text: '宁波港-公共管理类-散杂货接收分',
                value: '23D8210999',
                
                disabled: false,
            },
            {
                id: '23D8220101',
                label: '宁波港-散杂货-技术管理部',
                text: '宁波港-散杂货-技术管理部',
                value: '23D8220101',
                
                disabled: false,
            },
            {
                id: '23D8220201',
                label: '宁波港-散杂货-操作部',
                text: '宁波港-散杂货-操作部',
                value: '23D8220201',
                
                disabled: false,
            },
            {
                id: '23D8220301',
                label: '宁波港-散杂货-安监部',
                text: '宁波港-散杂货-安监部',
                value: '23D8220301',
                
                disabled: false,
            },
            {
                id: '23D8230101',
                label: '宁波港-散杂货-1号桥吊',
                text: '宁波港-散杂货-1号桥吊',
                value: '23D8230101',
                
                disabled: false,
            },
            {
                id: '23D8230104',
                label: '宁波港-散杂货-4号桥吊',
                text: '宁波港-散杂货-4号桥吊',
                value: '23D8230104',
                
                disabled: false,
            },
            {
                id: '23D8230105',
                label: '宁波港-散杂货-5号桥吊',
                text: '宁波港-散杂货-5号桥吊',
                value: '23D8230105',
                
                disabled: false,
            },
            {
                id: '23D8230106',
                label: '宁波港-散杂货-6号桥吊',
                text: '宁波港-散杂货-6号桥吊',
                value: '23D8230106',
                
                disabled: false,
            },
            {
                id: '23D8230107',
                label: '宁波港-散杂货-7号桥吊',
                text: '宁波港-散杂货-7号桥吊',
                value: '23D8230107',
                
                disabled: false,
            },
            {
                id: '23D8230108',
                label: '宁波港-散杂货-8号桥吊',
                text: '宁波港-散杂货-8号桥吊',
                value: '23D8230108',
                
                disabled: false,
            },
            {
                id: '23D8230109',
                label: '宁波港-散杂货-9号桥吊',
                text: '宁波港-散杂货-9号桥吊',
                value: '23D8230109',
                
                disabled: false,
            },
            {
                id: '23D8230110',
                label: '宁波港-散杂货-10号桥吊',
                text: '宁波港-散杂货-10号桥吊',
                value: '23D8230110',
                
                disabled: false,
            },
            {
                id: '23D8230111',
                label: '宁波港-散杂货-11号桥吊',
                text: '宁波港-散杂货-11号桥吊',
                value: '23D8230111',
                
                disabled: false,
            },
            {
                id: '23D8230112',
                label: '宁波港-散杂货-12号桥吊',
                text: '宁波港-散杂货-12号桥吊',
                value: '23D8230112',
                
                disabled: false,
            },
            {
                id: '23D8230115',
                label: '宁波港-散杂货-15号桥吊',
                text: '宁波港-散杂货-15号桥吊',
                value: '23D8230115',
                
                disabled: false,
            },
            {
                id: '23D8230116',
                label: '宁波港-散杂货-16号桥吊',
                text: '宁波港-散杂货-16号桥吊',
                value: '23D8230116',
                
                disabled: false,
            },
            {
                id: '23D8230117',
                label: '宁波港-散杂货-17号桥吊',
                text: '宁波港-散杂货-17号桥吊',
                value: '23D8230117',
                
                disabled: false,
            },
            {
                id: '23D8230206',
                label: '宁波港-散杂货-6号YGD-JP',
                text: '宁波港-散杂货-6号YGD-JP',
                value: '23D8230206',
                
                disabled: false,
            },
            {
                id: '23D8230207',
                label: '宁波港-散杂货-7号YGD-JP',
                text: '宁波港-散杂货-7号YGD-JP',
                value: '23D8230207',
                
                disabled: false,
            },
            {
                id: '23D8230208',
                label: '宁波港-散杂货-8号YGD-JP',
                text: '宁波港-散杂货-8号YGD-JP',
                value: '23D8230208',
                
                disabled: false,
            },
            {
                id: '23D8230209',
                label: '宁波港-散杂货-9号YGD-JP',
                text: '宁波港-散杂货-9号YGD-JP',
                value: '23D8230209',
                
                disabled: false,
            },
            {
                id: '23D8230210',
                label: '宁波港-散杂货-10号YGD-J',
                text: '宁波港-散杂货-10号YGD-J',
                value: '23D8230210',
                
                disabled: false,
            },
            {
                id: '23D8230211',
                label: '宁波港-散杂货-11号CYJ',
                text: '宁波港-散杂货-11号CYJ',
                value: '23D8230211',
                
                disabled: false,
            },
            {
                id: '23D8230212',
                label: '宁波港-散杂货-12号YGD-J',
                text: '宁波港-散杂货-12号YGD-J',
                value: '23D8230212',
                
                disabled: false,
            },
            {
                id: '23D8230213',
                label: '宁波港-散杂货-13号YGD-H',
                text: '宁波港-散杂货-13号YGD-H',
                value: '23D8230213',
                
                disabled: false,
            },
            {
                id: '23D8230214',
                label: '宁波港-散杂货-14号YGD-H',
                text: '宁波港-散杂货-14号YGD-H',
                value: '23D8230214',
                
                disabled: false,
            },
            {
                id: '23D8230215',
                label: '宁波港-散杂货-15号YGD-J',
                text: '宁波港-散杂货-15号YGD-J',
                value: '23D8230215',
                
                disabled: false,
            },
            {
                id: '23D8230216',
                label: '宁波港-散杂货-16号CYJ',
                text: '宁波港-散杂货-16号CYJ',
                value: '23D8230216',
                
                disabled: false,
            },
            {
                id: '23D8230217',
                label: '宁波港-散杂货-17号YGD-H',
                text: '宁波港-散杂货-17号YGD-H',
                value: '23D8230217',
                
                disabled: false,
            },
            {
                id: '23D8230218',
                label: '宁波港-散杂货-18号YGD-H',
                text: '宁波港-散杂货-18号YGD-H',
                value: '23D8230218',
                
                disabled: false,
            },
            {
                id: '23D8230219',
                label: '宁波港-散杂货-19号YGD-J',
                text: '宁波港-散杂货-19号YGD-J',
                value: '23D8230219',
                
                disabled: false,
            },
            {
                id: '23D8230220',
                label: '宁波港-散杂货-20号YGD-J',
                text: '宁波港-散杂货-20号YGD-J',
                value: '23D8230220',
                
                disabled: false,
            },
            {
                id: '23D8230221',
                label: '宁波港-散杂货-21号CYJ',
                text: '宁波港-散杂货-21号CYJ',
                value: '23D8230221',
                
                disabled: false,
            },
            {
                id: '23D8230222',
                label: '宁波港-散杂货-22号YGD-H',
                text: '宁波港-散杂货-22号YGD-H',
                value: '23D8230222',
                
                disabled: false,
            },
            {
                id: '23D8230223',
                label: '宁波港-散杂货-23号YGD-H',
                text: '宁波港-散杂货-23号YGD-H',
                value: '23D8230223',
                
                disabled: false,
            },
            {
                id: '23D8230224',
                label: '宁波港-散杂货-24号YGD-H',
                text: '宁波港-散杂货-24号YGD-H',
                value: '23D8230224',
                
                disabled: false,
            },
            {
                id: '23D8230225',
                label: '宁波港-散杂货-25号YGD-H',
                text: '宁波港-散杂货-25号YGD-H',
                value: '23D8230225',
                
                disabled: false,
            },
            {
                id: '23D8230226',
                label: '宁波港-散杂货-26号CYJ',
                text: '宁波港-散杂货-26号CYJ',
                value: '23D8230226',
                
                disabled: false,
            },
            {
                id: '23D8230227',
                label: '宁波港-散杂货-27号YGD-J',
                text: '宁波港-散杂货-27号YGD-J',
                value: '23D8230227',
                
                disabled: false,
            },
            {
                id: '23D8230228',
                label: '宁波港-散杂货-28号YGD-H',
                text: '宁波港-散杂货-28号YGD-H',
                value: '23D8230228',
                
                disabled: false,
            },
            {
                id: '23D8230229',
                label: '宁波港-散杂货-29号YGD-H',
                text: '宁波港-散杂货-29号YGD-H',
                value: '23D8230229',
                
                disabled: false,
            },
            {
                id: '23D8230999',
                label: '宁波港-散杂货-其他机械设备',
                text: '宁波港-散杂货-其他机械设备',
                value: '23D8230999',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'HALTTYPE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'JHTJ',
                label: '计划停机',
                text: '计划停机',
                value: 'JHTJ',
                
                disabled: false,
            },
            {
                id: 'QXTJ',
                label: '抢修停机',
                text: '抢修停机',
                value: 'QXTJ',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMCONTRACTTYPEID',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'TDZY',
                label: '土地征用',
                text: '土地征用',
                value: 'TDZY',
                
                disabled: false,
            },
            {
                id: 'QT',
                label: '其它',
                text: '其它',
                value: 'QT',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMAHGROUP',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'SETUP',
                label: '更换安装',
                text: '更换安装',
                value: 'SETUP',
                
                disabled: false,
            },
            {
                id: 'DEBUG',
                label: '事故',
                text: '事故',
                value: 'DEBUG',
                
                disabled: false,
            },
            {
                id: 'KEEP',
                label: '维护保养',
                text: '维护保养',
                value: 'KEEP',
                
                disabled: false,
            },
            {
                id: 'CHECK',
                label: '维修',
                text: '维修',
                value: 'CHECK',
                
                disabled: false,
            },
            {
                id: 'MAINTANCE',
                label: '抢修',
                text: '抢修',
                value: 'MAINTANCE',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMTRADETYPE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'RIN',
                label: '入库单',
                text: '入库单',
                value: 'RIN',
                
                disabled: false,
            },
            {
                id: 'ROUT',
                label: '退货单',
                text: '退货单',
                value: 'ROUT',
                
                disabled: false,
            },
            {
                id: 'PUSE',
                label: '领料单',
                text: '领料单',
                value: 'PUSE',
                
                disabled: false,
            },
            {
                id: 'PRTN',
                label: '还料单',
                text: '还料单',
                value: 'PRTN',
                
                disabled: false,
            },
            {
                id: 'PL',
                label: '损溢单',
                text: '损溢单',
                value: 'PL',
                
                disabled: false,
            },
            {
                id: 'CS',
                label: '库间调整',
                text: '库间调整',
                value: 'CS',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMAPPLYTYPE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'ERROR',
                label: '故障汇报',
                text: '故障汇报',
                value: 'ERROR',
                
                disabled: false,
            },
            {
                id: 'WAPPLY',
                label: '工作申请',
                text: '工作申请',
                value: 'WAPPLY',
                
                disabled: false,
            },
            {
                id: 'OSC',
                label: '外委申请',
                text: '外委申请',
                value: 'OSC',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMWOKIND',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'INNER',
                label: '常规内部工单',
                text: '常规内部工单',
                value: 'INNER',
                
                disabled: false,
            },
            {
                id: 'OSC',
                label: '外委工单',
                text: '外委工单',
                value: 'OSC',
                
                disabled: false,
            },
            {
                id: 'DP',
                label: '点检工单',
                text: '点检工单',
                value: 'DP',
                
                disabled: false,
            },
            {
                id: 'EN',
                label: '能耗登记工单',
                text: '能耗登记工单',
                value: 'EN',
                
                disabled: false,
            },
            {
                id: 'PT',
                label: '生产执勤工单',
                text: '生产执勤工单',
                value: 'PT',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMWOTYPE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'KEEP',
                label: '保养工单',
                text: '保养工单',
                value: 'KEEP',
                
                disabled: false,
            },
            {
                id: 'KEEP1',
                label: '.  一级保养',
                text: '.  一级保养',
                value: 'KEEP1',
                
                disabled: false,
            },
            {
                id: 'KEEP2',
                label: '.  润滑检查',
                text: '.  润滑检查',
                value: 'KEEP2',
                
                disabled: false,
            },
            {
                id: 'KEEP3',
                label: '.  卫生维护',
                text: '.  卫生维护',
                value: 'KEEP3',
                
                disabled: false,
            },
            {
                id: 'ERROR',
                label: '故障工单',
                text: '故障工单',
                value: 'ERROR',
                
                disabled: false,
            },
            {
                id: 'ERROR1',
                label: '事故工单',
                text: '事故工单',
                value: 'ERROR1',
                
                disabled: false,
            },
            {
                id: 'CHECK',
                label: '检修工单',
                text: '检修工单',
                value: 'CHECK',
                
                disabled: false,
            },
            {
                id: 'CHECKM',
                label: '月度检修',
                text: '月度检修',
                value: 'CHECKM',
                
                disabled: false,
            },
            {
                id: 'CHECKY',
                label: '年度检修',
                text: '年度检修',
                value: 'CHECKY',
                
                disabled: false,
            },
            {
                id: 'PT',
                label: '作业工单',
                text: '作业工单',
                value: 'PT',
                
                disabled: false,
            },
            {
                id: 'EN',
                label: '能耗登记',
                text: '能耗登记',
                value: 'EN',
                
                disabled: false,
            },
            {
                id: 'DP',
                label: '点检',
                text: '点检',
                value: 'DP',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'EMWPLISTWFSTEP',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '15',
                label: '补充件号中',
                text: '补充件号中',
                value: '15',
                
                disabled: false,
            },
            {
                id: '8',
                label: '综管部初审',
                text: '综管部初审',
                value: '8',
                
                disabled: false,
            },
            {
                id: '11',
                label: '电脑部审核',
                text: '电脑部审核',
                value: '11',
                
                disabled: false,
            },
            {
                id: '12',
                label: '安监部审核',
                text: '安监部审核',
                value: '12',
                
                disabled: false,
            },
            {
                id: '13',
                label: '综管部审核',
                text: '综管部审核',
                value: '13',
                
                disabled: false,
            },
            {
                id: '20',
                label: '待部门经理审核',
                text: '待部门经理审核',
                value: '20',
                
                disabled: false,
            },
            {
                id: '25',
                label: '待部门分管副总审核',
                text: '待部门分管副总审核',
                value: '25',
                
                disabled: false,
            },
            {
                id: '30',
                label: '待指派采购员',
                text: '待指派采购员',
                value: '30',
                
                disabled: false,
            },
            {
                id: '40',
                label: '采购处理中',
                text: '采购处理中',
                value: '40',
                
                disabled: false,
            },
            {
                id: '50',
                label: '待确认询价',
                text: '待确认询价',
                value: '50',
                
                disabled: false,
            },
            {
                id: '60',
                label: '待生成订单',
                text: '待生成订单',
                value: '60',
                
                disabled: false,
            },
            {
                id: '70',
                label: '审核不通过',
                text: '审核不通过',
                value: '70',
                
                disabled: false,
            },
        ]
    }
    ]];
});

